public class Waschmaschine {
	int fuellstand;
	int preis;
	int credits;
	boolean neuemaschine;
	Socke [] waschtrommel;
	public Waschmaschine(int kapazitaet,int preisprowaschgang, boolean neu){
		neuemaschine = neu;
		credits = 0;
		fuellstand = 0;
		preis = preisprowaschgang;
		waschtrommel = new Socke[kapazitaet];
	}
	public boolean einladen(Socke s) {
		if (fuellstand >= waschtrommel.length) return false;
		waschtrommel[fuellstand++] = s;
		return true;
	}
	public void einwerfen(Muenze m) {
		credits+=m.verbrauche();
	}
	public Socke [] wasche() {
		if (credits < preis) return null;
		credits -= preis;
		Socke[] rueckgabe = new Socke[fuellstand];
		int i,durchschnittsfarbe=0;
		for (Socke s = waschtrommel[i=0];i<fuellstand;s=waschtrommel[++i]) durchschnittsfarbe+=s.getFarbe();
		durchschnittsfarbe /= fuellstand;
		for (Socke s = waschtrommel[i=0];i<fuellstand;s=waschtrommel[++i]){
			if(!neuemaschine) s.eingehen();
			if(!neuemaschine) s.verfaerben(durchschnittsfarbe);
			rueckgabe[i]=s;
		}
		waschtrommel = new Socke[waschtrommel.length];
		fuellstand = 0;
		return rueckgabe;
	}
}
